summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorLeon Schumacher2021-09-05 14:32:19 +0200
committerLeon Schumacher2021-09-05 14:32:19 +0200
commitd9fceb5b14d51985478cd5ae71b28ad011949da1 (patch)
treecf7ddd9560883c0c10a17a870fe61a6b88487ceb
parent3d882a9e5c2baca28d1139c12cd69a38a91f93c8 (diff)
downloadaur-d9fceb5b14d51985478cd5ae71b28ad011949da1.tar.gz
Move all files to archive
-rw-r--r--.SRCINFO12
-rw-r--r--.gitignore4
-rwxr-xr-x22
-rw-r--r--PKGBUILD19
-rwxr-xr-xpoweroff1
-rwxr-xr-xreboot1
-rw-r--r--runit-conversion-2-1-files.tar.xzbin0 -> 1692 bytes
-rwxr-xr-xshutdown62
8 files changed, 11 insertions, 90 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 3bac64eed19..a6a3a4f2eaf 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = runit-conversion
pkgdesc = Convert your system to use runit instead of systemd
- pkgver = 1
+ pkgver = 2
pkgrel = 1
url = https://smarden.org/runit
arch = any
@@ -11,13 +11,7 @@ pkgbase = runit-conversion
depends = systemd-libs-fake
depends = eudev
optdepends = runit-services: many service definitions
- source = 2
- source = reboot
- source = poweroff
- source = shutdown
- sha256sums = 8516f76f250e15c27c7713d45e75c5ddaa6cf9abc13f066b695fef94aded0418
- sha256sums = aa2f3d56dd7f2c1e8810f7d0e3046129d7b1c2dc14c2c4d41c1a3ed466d34541
- sha256sums = 9c4e8cba8ffc2e3b546401317ef6567acf71e07fe4b0ec0ac6c0f98457e08d1d
- sha256sums = 0ff5be0b1124c7a8cbe06bd3968be51d4d96782cf96c3dddaa1661fa8f811e9a
+ source = runit-conversion-2-1-files.tar.xz
+ sha256sums = def98567381a9ef2ba619002127b5fb826ae2b3657e4ebf19c4b37caefd14e46
pkgname = runit-conversion
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..39482a75ac9
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,4 @@
+src
+pkg
+files
+*.tar*
diff --git a/2 b/2
deleted file mode 100755
index 590aba1d39e..00000000000
--- a/2
+++ /dev/null
@@ -1,2 +0,0 @@
-#!/bin/sh
-exec /usr/bin/runsvdir -P /var/service
diff --git a/PKGBUILD b/PKGBUILD
index 53a9264ebee..74526493080 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,7 +1,7 @@
# Maintainer: Leon Schumacher <leonsch@protonmail.com>
# vim: ft=sh:
pkgname=runit-conversion
-pkgver=1
+pkgver=2
pkgrel=1
pkgdesc="Convert your system to use runit instead of systemd"
arch=('any')
@@ -9,20 +9,9 @@ url="https://smarden.org/runit"
license=('GPL')
depends=('base-init-agnostic' 'kisslinux-init' 'runit' 'systemd-libs-fake' 'eudev')
optdepends=('runit-services: many service definitions')
-source=('2' 'reboot' 'poweroff' 'shutdown')
-sha256sums=('8516f76f250e15c27c7713d45e75c5ddaa6cf9abc13f066b695fef94aded0418'
- 'aa2f3d56dd7f2c1e8810f7d0e3046129d7b1c2dc14c2c4d41c1a3ed466d34541'
- '9c4e8cba8ffc2e3b546401317ef6567acf71e07fe4b0ec0ac6c0f98457e08d1d'
- '0ff5be0b1124c7a8cbe06bd3968be51d4d96782cf96c3dddaa1661fa8f811e9a')
+source=("$pkgname-$pkgver-$pkgrel-files.tar.xz")
+sha256sums=('def98567381a9ef2ba619002127b5fb826ae2b3657e4ebf19c4b37caefd14e46')
package() {
- install -Dm755 "2" "$pkgdir/etc/runit/2"
- ln -s "/usr/lib/init/rc.boot" "$pkgdir/etc/runit/1"
- ln -s "/usr/lib/init/rc.shutdown" "$pkgdir/etc/runit/3"
-
- install -d "$pkgdir/usr/bin"
- install -Dm755 "reboot" "poweroff" "shutdown" "$pkgdir/usr/bin"
- ln -s "poweroff" "$pkgdir/usr/bin/halt"
-
- ln -s "runit-init" "$pkgdir/usr/bin/init"
+ cp -a files/* "$pkgdir/"
}
diff --git a/poweroff b/poweroff
deleted file mode 100755
index 409dd991112..00000000000
--- a/poweroff
+++ /dev/null
@@ -1 +0,0 @@
-#!/usr/bin/runit-init 0
diff --git a/reboot b/reboot
deleted file mode 100755
index bdb0af7c8c4..00000000000
--- a/reboot
+++ /dev/null
@@ -1 +0,0 @@
-#!/usr/bin/runit-init 6
diff --git a/runit-conversion-2-1-files.tar.xz b/runit-conversion-2-1-files.tar.xz
new file mode 100644
index 00000000000..a037a9bb3e5
--- /dev/null
+++ b/runit-conversion-2-1-files.tar.xz
Binary files differ
diff --git a/shutdown b/shutdown
deleted file mode 100755
index 09151f5d9b3..00000000000
--- a/shutdown
+++ /dev/null
@@ -1,62 +0,0 @@
-#!/usr/bin/env bash
-
-PIDFILE="/run/shutdown.pid"
-NOLOGINFILE="/run/nologin"
-name="${0##*/}"
-
-abort() {
- printf "%s\n" "$1" >&2
- exit 1
-}
-
-usage() {
- abort "$name [-hHPrkc] [time] [warning message]"
-}
-
-cancel() {
- kill "$(< "$PIDFILE")"
- rm -f "$PIDFILE" "$NOLOGINFILE"
- echo "${*:-shutdown cancelled}" | wall
- exit
-}
-
-action=poweroff
-mesg="${2:-The system is shutting down}"
-while getopts HPrhkc opt; do
- case "$opt" in
- h|H|P) action=poweroff;;
- r) action=reboot; mesg="${2:-The system is rebooting}";;
- k) action=true mesg="${2:-A shutdown test will happen}";;
- c) cancel ;;
- [?]) usage ;;
- esac
-done
-shift $((OPTIND - 1))
-
-time="${1:-+1}"
-
-[ -e "$PIDFILE" ] && abort "A shutdown is already pending"
-echo "$$" > "$PIDFILE" || abort "Not enough permissions to execute $name"
-
-case "$time" in
- now) time=0 ;;
- +*) time="$((${time#+} * 60))" ;;
- *:*) time="$(($(date +%s -d "$time") - $(date +%s)))" ;;
- *) abort "Invalid time" ;;
-esac
-
-((time < 0)) && abort "Absolute time must lie in the future"
-
-echo "$mesg at $(date +"%H:%M:%S" -d "@$(($(date +%s) + time))") (in $((time / 60)) minutes)" | wall
-
-if ((time > 300)); then
- sleep "$((time - 300))"
- touch "$NOLOGINFILE"
- sleep 300
-else
- touch "$NOLOGINFILE"
- sleep "$time"
-fi
-
-echo "$mesg NOW!" | wall
-"$action"